import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService } from 'src/app/_providers/_services/auth.service';

@Component({
  selector: 'app-tender-home',
  templateUrl: './tender-home.component.html',
  styleUrls: ['./tender-home.component.scss']
})
export class TenderHomeComponent implements OnInit {


  
  displayedColumns: string[] = ['no', 'name','download'];
  data:any[] = [
    { no:1,name:'Tender 1', city: 'New York' },
    { no:2 , name:'Tender 2', city: 'London' },
    { no:3 , name:'Tender 3', city: 'Paris' },
    
  ];
  constructor( private authenticationService: AuthService,
    private router: Router,) { }

  ngOnInit(): void {
  }

  public signOut(): void {
 
    this.authenticationService.logOut();
    
  }

  signIn(){
    this.router.navigate(['/login']);
  }

  goToHome(){
    window.location.href = 'https://www.thrickodithanamscb.in/index.html#hero';
  }
  goToContactUs(){
    window.location.href = 'https://www.thrickodithanamscb.in/index.html#contact';
  }
  
  goToView() {
    this.router.navigate(['/tender-view']);
  }

  goToUpload(){
    this.router.navigate(['/tender-upload']);
  }

  // public getUser(): Observable<User> {
    // return of({
    //    email: localStorage.getItem('username'),
    //    name: localStorage.getItem('username'),

    // });
  // }

  navigateTo(destination: any) {
    this.router.navigate([destination])
  }



}

